Create a sub-custodian
curl --request POST \
--url https://api.portalhq.io/api/v3/resellers/custodians \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"custodian": {
"name": "Acme Payments"
},
"user": {
"email": "admin@acmepayments.com",
"firstName": "Avery",
"lastName": "Stone"
}
}
'import requests
url = "https://api.portalhq.io/api/v3/resellers/custodians"
payload = {
"custodian": { "name": "Acme Payments" },
"user": {
"email": "admin@acmepayments.com",
"firstName": "Avery",
"lastName": "Stone"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
custodian: {name: 'Acme Payments'},
user: {email: 'admin@acmepayments.com', firstName: 'Avery', lastName: 'Stone'}
})
};
fetch('https://api.portalhq.io/api/v3/resellers/custodians', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"custodian": {
"id": "custodian_123",
"name": "Acme Payments",
"slug": "acme-payments",
"billingStatus": "ACTIVE",
"isReseller": false,
"resellerParentId": "reseller_custodian_123",
"sessionTokensEnabled": true,
"createdAt": "2026-07-08T18:00:00.000Z",
"updatedAt": "2026-07-08T18:00:00.000Z",
"billingPlan": {
"name": "Start-Up"
},
"environments": [
{
"id": "env_dev_123",
"name": "Development",
"createdAt": "2026-07-08T18:00:00.000Z",
"updatedAt": "2026-07-08T18:00:00.000Z"
},
{
"id": "env_prod_123",
"name": "Production",
"createdAt": "2026-07-08T18:00:00.000Z",
"updatedAt": "2026-07-08T18:00:00.000Z"
}
],
"users": [
{
"id": "user_123",
"email": "admin@acmepayments.com",
"firstName": "Avery",
"lastName": "Stone",
"createdAt": "2026-07-08T18:00:00.000Z",
"updatedAt": "2026-07-08T18:00:00.000Z"
}
]
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Sub-Custodians
Create a sub-custodian
Creates a sub-custodian owned by the authenticated reseller. The new custodian is active, non-reseller, assigned the Start-Up plan, created with Development and Production environments, and has Portal backup and session tokens enabled.
POST
/
resellers
/
custodians
Create a sub-custodian
Was this page helpful?
⌘I